
Core - Task # 55177

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54261 (Resolved): As an Extension-Developer I want to use FAL assets in my custom development

Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2014-01-20 Assigned To: Steffen Ritter
Updated: 2014-04-03 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: medium
Sprint Focus:
Subject: Add concept of a default storage
Description

    -  default storage is exclusively
    -  is a substitute to previous /fileadmin/ directory
    -  storage model get additional "isDefaultStorage" flag (boolean)
    -  default storage can only exist once amongst all storages (unique)
    -  new method ResourceFactory::getDefaultStorage() resolves this storage

Subtasks:
Task # 55187: Allow unique evaulation for TCA type 'check' Resolved
Related issues:
blocks Core - Bug # 53552: File handling in import/export module is broken Resolved 2013-11-12

Associated revisions
Revision 90a1c7cb - 2014-02-02 15:40 - Steffen Ritter

[TASK] Add possibility to resolve a default storage

Before FAL a default upload folder has been retrived by setting
$GLOBALS['TYPO3_CONF_VARS']['BE']['fileadminDir'] . 'user_upload'.
With FAL this even could be placed on a remote system. Furthermore
we do not won't users to fiddle around with path like that anymore.

Each Storage already provides "getDefaultFolder" meant for uploads.
But still, if there are several storages, there is no way to figure
out which storage should be the default one for uploads, if it is
legacy code or just not configurable.

This patch introduces the concept of a default storage as a flag
which can be set within the storage record. The automatic creation
of /fileadmin/ - storage will have this flag already set.

Resolves: #55177
Releases: 6.2
Change-Id: I6684670c5acb023bc26596e9a55ca84bb5c41b40
Reviewed-on: https://review.typo3.org/26945
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History
#1 - 2014-01-20 18:34 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26945

#2 - 2014-01-21 07:01 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26945

#3 - 2014-01-21 07:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26945

#4 - 2014-01-21 08:34 - Steffen Ritter
- % Done changed from 0 to 70
- Estimated time set to 1.00
- Remaining (hours) set to 1.0

#5 - 2014-01-31 15:36 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26945

#6 - 2014-02-02 14:30 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26945

#7 - 2014-02-02 16:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:90a1c7cbee01e00a723fb0a9afad154e0d32f841.

#8 - 2014-04-03 00:16 - Steffen Ritter
- Estimated time deleted (1.00)
